aboutsummaryrefslogtreecommitdiffstats
path: root/k6-tests
diff options
context:
space:
mode:
authorhalil.cakal <halil.cakal@est.tech>2024-06-17 09:24:59 +0100
committerhalil.cakal <halil.cakal@est.tech>2024-07-01 15:40:54 +0100
commit3a9613f75519176efb2eb50bde88f268535e0ca9 (patch)
tree96a3faf44c9ea0b91d99848988b67d93ee014fa0 /k6-tests
parentb8c88b9c157fac8b165cf955483649f76e19fd35 (diff)
Setup automated tests with two replicas of cps-and-ncmp
- this change for two test suits: CSIT and K6 - increase cps-and-ncmp replicas to 2 - introduce nginx as load-balancer - set proxies inside nginx for the cps-and-ncmp URI paths - upgrade hazelcast-spring to 5.3.7 Issue-ID: CPS-2038 Change-Id: If1b6c1e1218af16b24cc061507ea9b25d277d143 Signed-off-by: halil.cakal <halil.cakal@est.tech>
Diffstat (limited to 'k6-tests')
-rwxr-xr-xk6-tests/setup.sh12
1 files changed, 10 insertions, 2 deletions
diff --git a/k6-tests/setup.sh b/k6-tests/setup.sh
index 4805e2ea43..86f6d26acd 100755
--- a/k6-tests/setup.sh
+++ b/k6-tests/setup.sh
@@ -18,5 +18,13 @@
docker-compose -f ../docker-compose/docker-compose.yml --profile dmi-stub up -d
echo "Waiting for CPS to start..."
-READY_MESSAGE='Processing module sync fetched 0 advised cm handles from DB'
-docker logs cps-and-ncmp -f | grep -m 1 "$READY_MESSAGE" >/dev/null || true
+READY_MESSAGE="Processing module sync fetched 0 advised cm handles from DB"
+
+# Get the container IDs of the cps-and-ncmp replicas
+CONTAINER_IDS=$(docker ps --filter "name=cps-and-ncmp" --format "{{.ID}}")
+
+# Check the logs for each container
+for CONTAINER_ID in $CONTAINER_IDS; do
+ echo "Checking logs for container: $CONTAINER_ID"
+ docker logs "$CONTAINER_ID" -f | grep -m 1 "$READY_MESSAGE" >/dev/null || true
+done